
<!-- <span id="colSection">
    <button class="btn float-right Rounded top-minus-3" data-ripple="true" aria-label="Columns">
        <img _ngcontent-lla-c19="" alt="Choose Columns" src="assets/images/novartis/column.svg"
            class="icon-css position-absolute">
    </button>
</span> -->
<!-- <span id="ResultsCount" class="top-minus-5 mr-5">
    <span class="text-muted ">1-{{selectPaginator}}  of {{profile?.content?.length}} result(s)</span>
</span> -->
<!-- <div class="row mr-3" id="dictionaryTemplate">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page</span>
    <span>
        <ejs-dropdownlist name="pageSize" cssClass="e-outline"
            [dataSource]="PaginationList" [value]="selectPaginator" (change)="changePage($event)"
            width="75px">
        </ejs-dropdownlist>
    </span>
</div> -->
<div class="control-section custom-section">
    <ejs-grid [dataSource]='profile?.content' allowPaging='true' allowSorting='true' [pageSettings]='gridPageSettings'
        showColumnChooser='true' id="dtc-sample-grid" allowDeleting="false" [toolbar]="gridToolBar"> <!--[toolbar]="gridToolBar"-->
        <e-columns>
            <e-column *ngFor="let col of columns" width=120 field='{{col}}' headerText='{{heading(col)}}'></e-column>
        </e-columns>
    </ejs-grid>
</div>

<span class="d-flex float-right top-minus-42" id="dictionaryTemplate1">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page </span>
    <span class="mt-1">
        <ejs-dropdownlist name="pageSize" cssClass="e-outline"
            [dataSource]="PaginationList" [value]="selectPaginator"  (change)="changePage($event)"
            width="75px">
        </ejs-dropdownlist>
    </span>
</span>